submissions_retrieve
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a submission item’s information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this submission.
Header Parameters
Section titled “Header Parameters”Workspace ID
Responses
Section titled “Responses”Serializer for Submission objects.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return serialized data for a connection object with context information.
This method serializes the connection attribute of the input object using
ConnectionSubmissionSerializer, including the request context.
Parameters
obj : object The object containing a connection attribute to be serialized.
Returns
dict The serialized data of the connection object within the provided object, including the context of the current request.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "status": "draft", "error_reason": "submission_failed"}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "submission", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
